# Generated from lite-report-1.3.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name lite-report

Name: rubygem-%{gem_name}
Version: 1.3.2
Release: 1%{?dist}
Summary: Import and export Ruby and Rails objects to flat files and vice versa
License: MIT
URL: http://drexed.github.io/lite-report
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(database_cleaner)
# BuildRequires: rubygem(fasterer)
# BuildRequires: rubygem(generator_spec)
# BuildRequires: rubygem(ransack)
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rspec-rails)
# BuildRequires: rubygem(rubocop)
# BuildRequires: rubygem(rubocop-performance)
# BuildRequires: rubygem(rubocop-rake)
# BuildRequires: rubygem(rubocop-rspec)
# BuildRequires: rubygem(sqlite3)
BuildArch: noarch

%description
Import and export Ruby and Rails objects to flat files and vice versa.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.DS_Store
%{gem_instdir}/.fasterer.yml
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/_config.yml
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/lite-report.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 1.3.2-1
- Initial package
